<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                Tabla de resumen de Casas, apartamentos y Suites hoteleras asociados a 
                la oferta inmobiliaria
@cu 			CU-AV-O-01 CU-AV-O-02

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="trablaResumenCasasId">

    <p:dataTable value="#{managedBeanParam.casasAptosSHs}"
                 var="casasAptosSHs" id="tablaResumenCasasAptosSHs"
                 emptyMessage="No se encontraron casas, apartamentos ni suites hoteleras asociados a la oferta">

        <f:facet name="header">  
            Casas / apartamentos / suites hoteleras
        </f:facet>

        <p:column
            rendered="#{!managedBeanParam.banderaCargarFotosOfertaPrincipal}">
            <f:facet name="header">
                <h:outputText value="Opciones" />
            </f:facet>

            <p:commandButton title="Quitar de la lista" icon="ui-icon-trash"
                             action="#{managedBeanParam.removerCasasAptosSHs}"
                             update=":registroOfertaInmobiliariaFormId,
                             :registroOfertaInmobiliariaFormId:tablaResumenCasasAptosSHs"
                             immediate="true" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();">
                <f:setPropertyActionListener value="#{casasAptosSHs}"
                                             target="#{managedBeanParam.selectedOfertaOferta}" />
            </p:commandButton>

            <p:commandButton title="Editar casas Apartamentos Suites Hoteleras"
                             icon="ui-icon-pencil"
                             action="#{managedBeanParam.asignarBanderasTipoInmuebleEdicion}"
                             update=":proyectoCasaAptoSuiteHoteleraForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();
                             handleCompleteSIC(xhr, status, args, proyectoCasaAptoSHWV, true);document.getElementById('registroOfertaInmobiliariaFormId:datostFocus').focus(); "
                             id="editarcasasAptosSHsBtn">
                <f:setPropertyActionListener value="#{casasAptosSHs}"
                                             target="#{managedBeanParam.selectedOfertaOferta}" />
            </p:commandButton>



        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Código oferta" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.codigoOferta}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo inmueble" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.tipoInmueble}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Área construcción / Área privada" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.areaConstruccion}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Área terreno" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.areaTerreno}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Forma lote" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.formaLote}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº pisos" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroPisos}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº habitaciones" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroHabitaciones}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº baños" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroBanios}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº cocinas" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroCocinas}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo cocina" />
            </f:facet>

            <h:outputText id="OfertaTipoCocinaV"
                          value="#{casasAptosSHs.tipoCocina}" styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="OfertaTipoCocinaV" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor pedido" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.valorPedido}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor arriendo" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.valorArriendo}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Ubicación local" />
            </f:facet>

            <h:outputText value="#{locales.ubicacionLocal}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo parqueadero" />
            </f:facet>

            <h:outputText id="OfertaTipoParqueaderoV"
                          value="#{casasAptosSHs.tipoParqueadero}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB" for="OfertaTipoParqueaderoV" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº parqueaderos" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroParqueaderos}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Valor parqueaderos" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.valorParqueaderos}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="Nº depositos" />
            </f:facet>

            <h:outputText value="#{casasAptosSHs.numeroDepositos}"
                          styleClass="outputTextStyle" />
        </p:column>
    </p:dataTable>

    <p:column>
        <f:facet name="header">
            <h:outputText value="Valor depositos" />
        </f:facet>

        <h:outputText value="#{casasAptosSHs.valorDepositos}"
                      styleClass="outputTextStyle">
            <f:converter converterId="converterMoneda" />
        </h:outputText>
    </p:column>

    <p:column>
        <f:facet name="header">
            <h:outputText value="Valor administración" />
        </f:facet>

        <h:outputText value="#{casasAptosSHs.valorAdministracion}"
                      styleClass="outputTextStyle">
            <f:converter converterId="converterMoneda" />
        </h:outputText>
    </p:column>

</h:panelGrid>
